"""The base Controller API

Provides the BaseController class for subclassing.
"""
from pylons.controllers import WSGIController
from pylons.templating import render_mako as render
from pylons import tmpl_context as c

from routes.util import url_for

#from ispwebadmin.model import meta
from ispwebadmin import model
from ispwebadmin.model import meta
from ispwebadmin.lib import my
db = meta.Session
from pylons import request, session
from pylons.controllers.util import abort, redirect_to

import logging
log = logging.getLogger(__name__)

class BaseController(WSGIController):

    def __before__(self):
        # Make session accessible in templates
        c.session = session

        # Get routing information
        controller = request.environ['pylons.routes_dict'].get('controller')

        # Enforce authentication
        # (unless we are in the /admin controller - or we would get a redirection loop)
        # Current username is saved in session['admin']
        if not session.get('admin'):
            if controller != 'admin':
                log.debug('Authentication needed. Redirecting user to login form.')
                redirect_to('admin-login')

    def __call__(self, environ, start_response):
        """Invoke the Controller"""
        # WSGIController.__call__ dispatches to the Controller method
        # the request is routed to. This routing information is
        # available in environ['pylons.routes_dict']
        try:
            return WSGIController.__call__(self, environ, start_response)
        finally:
            meta.Session.remove()
