# -*- coding: utf-8 -*-
<%inherit file="/base.mako"/>

<h2>${h.tags.link_to('Home', h.url_for('domains'))}
    &gt; ${h.tags.link_to('Domain %s' % c.domain, h.url_for('domain-actions', domain=c.domain)) }
    &gt; Aliases
</h2>

<p>
    ${ h.iconlink('add', 'Create new alias', h.url_for('aliases-new', domain=c.domain))}
</p>

% if c.sources:
    ${ h.tags.form(h.url_for()) }
    <p>Search: ${ h.tags.text('search', c.search) }</p>
    <p>${ c.sources.pager('Pages: $link_first $link_previous ~20~ $link_next $link_last') }</p>
    <table>
    <tr>
        <th>Source</th>
        <th>Actions</th>
    </tr>
        % for source in c.sources:
            <tr>
                <td>
                    ## Catchall account?
                    % if source.startswith('@'):
                        <em>Catchall:</em>
                    % endif
                    ${source}
                </td>
                <td>
                    ${ h.iconlink('edit', 'Edit', h.url_for(action='edit', source=source)) }
                    |
                    ${ h.iconlink('delete', 'Delete', h.url_for(action='delete', source=source),
                        onclick='return confirm("Really delete?");') }
                    |
                    ${ h.iconlink('alias', 'Which aliases point to me?',
                        h.url_for(action='pointing_aliases', email=source)) }                        
                </td>
            </tr>
        % endfor
    </table>
    </form>
% else:
    <p><i>No aliases found.</i></p>
% endif

% if c.message:
<p><em>${ c.message }</em></p>
% endif
